Introduction

Contains 0 Sub-Categories and 3 Articles.
Click here to browse a sub-tree sitemap that is rooted at this category.

Articles
Interface Introduction ( Type : INFO: , ID : 12345 )
Software Requirements ( Type : INFO: , ID : 12142 )
Source versions tested ( Type : INFO: , ID : 12346 )

ID : 1Q5H2K , Online Version
© 2009 HACH Company, All rights reserved.


Interface Introduction

Documentation : Introduction
The Hach WIMS Direct Server-Side Interface to Tribal LIMS imports values from the Tribal LIMS and brings the value into Hach WIMS.

The interface will query out the data by when it was updated (table.field -> SAMPLE.dateupdated) and store the results when the sample was collected (table.field -> SAMPLE.sampledate). The user can specify the LIMS Location ID, LIMS Analysis ID (Analyte ID) and either the Sample Type ID or Sample Study ID.

  • LIMS Location ID - SAMPLE.Locationid
  • LIMS Analysis ID - SAMPLEANALYSIS.Analysisid
  • Either
    • Sample Type ID - SAMPLE.sampletype
    • Sample Study ID - SAMPLE.samplestudy

The result caputerd (SAMPLEANALYSIS.result) is evaluated for symbols (SAMPLEANALYSIS.signfield), such as Minimum Detection Limits, and stored into Hach WIMS accordingly.

ID : 12345 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Software Requirements

Documentation : Introduction

The Interface and its components are supported and can be installed only on one of the following Microsoft Windows versions :

  • Microsoft Windows 7 32-bit
  • Microsoft Windows 7 64-bit
  • Microsoft Windows 7 64-bit Service Pack 1
  • Microsoft Windows 2003 Server 32-bit Service Pack 1
  • Microsoft Windows 2003 R2 Server 32-bit Service Pack 2
  • Microsoft Windows 2003 Server 64-bit Service Pack 1
  • Microsoft Windows 2003 R2 Server 64-bit Service Pack 2
  • Microsoft Windows 2008 32-bit
  • Microsoft Windows 2008 64-bit
  • Microsoft Windows 2008 32-bit Service Pack 1
  • Microsoft Windows 2008 64-bit Service Pack 1
  • Microsoft Windows 2008 32-bit Service Pack 2
  • Microsoft Windows 2008 64-bit Service Pack 2
  • Microsoft Windows 2008 R2 64-bit
  • Microsoft Windows 8 64-bit
  • Microsoft Windows 10
  • Microsoft Windows 2012 64-bit

NOTE: Interfaces can run on the following Windows versions, however use of interfaces on these Operating Systems are no long supported:

  • Microsoft Windows 2000 Service Pack 4
  • Microsoft Windows XP 32-bit Service Pack 2
  • Microsoft Windows XP 32-bit Service Pack 3
  • Microsoft Windows Vista 32-bit
  • Microsoft Windows Vista 64-bit
  • Microsoft Windows Vista 32-bit Service Pack 1
  • Microsoft Windows Vista 64-bit Service Pack 1
  • Microsoft Windows Vista 32-bit Service Pack 2
  • Microsoft Windows Vista 64-bit Service Pack 2

ID : 12142 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Source versions tested

Documentation : Introduction

This interface has been developed and tested against an ORACLE database backend from Tribal LIMS version 8.3r. It as also been tested against a Microsoft Access database backend from Tribal LIMS.

Data is extracted from two tables: SAMPLE ad SAMPLEANALYSIS and matches records on the SAMPLEID column.

SAMPLE table definition:

SAMPLEANALYSIS table definition:

ID : 12346 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


How To

Contains 0 Sub-Categories and 9 Articles.
Click here to browse a sub-tree sitemap that is rooted at this category.

Articles
Change Configuration Protection Password ( Type : HOWTO: , ID : 12055 )
Configuration is Password Protected ( Type : HOWTO: , ID : 12056 )
Configure the Hach WIMS Client for a Server-Side Interface (LIMS2OPSSQL) ( Type : HOWTO: , ID : 12323 )
Hach WIMS Super User Credentials ( Type : HOWTO: , ID : 12057 )
Pick Hach WIMS Variables to Import Into ( Type : HOWTO: , ID : 12059 )
Step-by-Step Instructions on How to Configure Interface ( Type : HOWTO: , ID : 12069 )
Using Common Buttons ( Type : HOWTO: , ID : 12039 )
Using Main Interface Screen ( Type : HOWTO: , ID : 12036 )
Using Select Date Range to Import ( Type : HOWTO: , ID : 12058 )

ID : 0R7P6J , Online Version


Change Configuration Protection Password

Documentation : How To

Requiring a password for configuration changes will prevent unauthorized or accidental tampering with your configuration from within the interactive mode.

From the interface, select Configuration and Advanced Configuration. Click on the Protection tab.

Click on the box next to Require Password to Change Configuration and Save Settings button.

Use this screen to set a new configuration protection password.

NOTE: The default password is '12345'. If you configure the interface to use a password and later remove the password check, it will reset to '12345' again.

ID : 12055 , Type : HOWTO: , Online Version , Help us improve this article : Leave Feedback


Configuration is Password Protected

Documentation : How To

The configuration is password protected if you changed it in Change Configuration Protection Password. You must enter the correct password in order to save any changes to the configuration of this interface.

See Advanced Configuration if you want to disable the password protection.

NOTE:
If your configuration is protected with a password, you must know the password before you can disable the password check.

keywords : configuration,password
ID : 12056 , Type : HOWTO: , Online Version , Help us improve this article : Leave Feedback


Configure the Hach WIMS Client for a Server-Side Interface (LIMS2OPSSQL)

Documentation : How To

In order to use a direct server-side interface, you must do the following:

  1. Start your Hach WIMS Client and navigate to the System Setup -> System Tables -> Entire System -> Server-Side Interface Setup menu selection:

  2. If the "Server-Side Interface Setup" screen shows no interfaces, or the one you want to configure is not shown, you have to:
    1. If you have the G2 definition uploaded, click the New button. To determine if you have the definition uploaded, click New and see if it appears in the list of interfaces.
    2. If you do not have the definition uploaded, uploaded the definition first. Click the New Definition button and navigate to the g2_server_lu file. (Alternatively, you can select Utilities - Upload Definition File to Hach WIMS)
  3. With the definition uploaded (or present), click the New button and create an instance of the server side interface. You can have multiple interface sources for the same definition.

    In this example, we want a new instance of the Random Number Generator interface. Select the name, click Next, and select the version.
  4. Configure the interface:

    Make note of the "Name of Interface" field - this is how your interface will be identified. In this case - it is "Random Number Generator". Fill in a "Description" and select the "Collector Time Zone", in this case, it is set to Mountain Time (US & Canada). Click OK to create the interface record.
  5. Configure Browser - Click on the Browser tab and enter the requested information to allow the Hach WIMS Client the ability to browse tags from the source system. In some cases, you will need to install an OLE DB driver, on the Hach WIMS Client computer, that will allow communications to the source system. If it is impossible to configure this option, simply uncheck the Enable button on the Browser tab.
  6. Go to System Setup -> Edit/View Variables.
  7. Go to the variable you wish to configure for storing interface data:

    (Note: The number of fields and their nomenclature are dependent on the specific interface)

    Click the Interface tab on the variable you are configuring, then click the Interface To radio button and select the interface needed for this variable. The area below will fill up with the settings needed to finish configuring this variable.
  8. For detailed instructions on configuration of variables, look for the 'Supported Variable Configurations For Interface' article in the 'Topics specific to operation of Interface' chapter.

keywords : g2,collector,client,server,side,LIMS
ID : 12323 , Type : HOWTO: , Online Version , Help us improve this article : Leave Feedback


Hach WIMS Super User Credentials

Documentation : How To

To enable this feature, select Configuration -> Advanced Configuration. Then check the "Require Hach WIMS Super User Login Credentials to Import Data In Interactive Mode" setting.

You must provide the correct user name and password in order to import data in interactive mode.

Contact your Hach WIMS Administrator for help if you do not know the username and/or password.

ID : 12057 , Type : HOWTO: , Online Version , Help us improve this article : Leave Feedback


Pick Hach WIMS Variables to Import Into

Documentation : How To

Only variables assigned to this interface will be listed. Select the variables to import data into from the source.

HINT: You can hold the CTRL or CTRL/SHIFT buttons down when clicking in order to select multiple entries

Buttons:

Import data for the selected variables.
Select all variables in the list.
Select no variables - deselects all variables from the list.

All other buttons are explained in Using Common Buttons.

ID : 12059 , Type : HOWTO: , Online Version , Help us improve this article : Leave Feedback


Step-by-Step Instructions on How to Configure Interface

Documentation : How To

You will need to follow these steps in order to configure your interface :

  1. You must have Hach WIMS Database Management System installed and running. This can be running from anywhere on your network, but can also be running on the same computer as your interface.
  2. You must have Hach WIMS Client installed. Make sure you can log into Hach WIMS Database Server using Hach WIMS Client.
  3. Run your interface in Interactive mode by clicking on its entry in your windows Start Menu.
  4. Configure a connection to your Hach WIMS Server. Use Configuration - Connection to Hach WIMS to do this.
  5. Upload interface definition file to Hach WIMS Server. Use Utilities - Upload definition file to Hach WIMS to do this.
  6. You will need to assign a collector record to your interface. First the record must be created. You will need to configure Hach WIMS Client for a server side interface.
  7. Now you are ready to assign the collector record created in the previous step to your interface. Use Configuration - Collector Configuration to do this.
  8. You need to link at least one Hach WIMS variable to the chosen collector record.
  9. Configure the source so that interface can read from the source system.
    Locate the 'Configuration -> Source Configuration' article in the 'Topics specific for operation of Interface' chapter to gain instructions on how to do it.
  10. Save all configuration Settings by clicking on Configuration -> Save All Configuration.
  11. You are now ready to use the interface.

Furthermore, You may want to configure Automated Import. Use Configuration - Automated Import Configuration to do this.

ID : 12069 , Type : HOWTO: , Online Version , Help us improve this article : Leave Feedback


Using Common Buttons

Documentation : How To

Common Hach WIMS Interface Buttons:

Displays help for the current interface screen.
Applies the current settings.
Attemps to apply the current changes and save them permanently. The save will fail if the settings cannot be applied first.
Closes the current window - no changes are saved.
Cancel the current activity/operation.

keywords : buttons
ID : 12039 , Type : HOWTO: , Online Version , Help us improve this article : Leave Feedback


Using Main Interface Screen

Documentation : How To

This is the main interface interactive screen.

When running in interactive mode, you can set the various interface configuration settings, monitor & control the interface service, as well as interactively collect data.

The main parts of the of the screen of interest are:

  • Main Menu
  • The Shortcut Buttons:

    Import all data.
    Import data for selected variables.
    Monitor service activity.
    Display help for the current window.
    Display general interface information.
    Exit the interactive interface session.

  • The Interface Messages & Notification area - the white background area displays scrolling text regarding the interface's activity. All manner of data is logged here, including data collection status, errors, warnings and other general information regarding the interface's current activity.

    Depending on the Verbosity level set, you may or may not see all information.

    If there is a directory called "Log" in the interface directory, the interface will also log to a text file of the form:
    <mm_dd_yyyy__hh_mm_ss_interactive.log>

    E.g., if the current date is 2/26/2009 and the current time is 3:02:13 PM, the file will be called:
    02_26_2009__15_02_13_interactive.log.

  • The status bar, at the bottom of the screen, displays miscellaneous information regarding the interface.

ID : 12036 , Type : HOWTO: , Online Version , Help us improve this article : Leave Feedback


Using Select Date Range to Import

Documentation : How To

When importing data for one or more specified variables, you have to specify the date range of the source data you want to get.

You can do this in 2 ways:

  1. Use both the Start & End Date Pickers

    - OR -
  2. Use a start/end date quick shortcut:

Buttons:

Import data for the selected dates

Other buttons are described in Using Common Buttons.

Principle 1: Data will be imported based on the Start and End Date and Time and how the variable's Stop Time is set up. The Stop Time must fall within the date range requested.

Principle 2: Data is stored on the date and time of the variable's Start Time.

For example: We set a variable with Start Time of 08:00 and a Stop Time of 08:00, and select Day After Start as shown below.

Then I run the interface to pull data for March 3, 2009 00:00:00 to March 4, 2009 08:01:00.

The interface will return a value for March 2 and March 3. Why? The stop time is our requested date range starting on March 3, 2009 with a stop time of 8 AM. The stop time is computed to March 3, 2009 08:00:00. Since we selected the stop as day after start, the start time is March 2, 2009 at 08:00:00. According to principle #2, the data point is stored on the start time.

So for our example:

Requested Date | Start Date and Time | Stop Date and Time
March 3, 2009 | March 2, 2009 08:00:00 | March 3, 2009 08:00:00
March 4, 2009 | March 3, 2009 08:00:00 | March 4, 2009 08:00:00

If we had set our date range from March 3, 2009 00:00:00 to March 4, 2009 07:59:59, then the interface would return only the first record, because stop time of March 4, 2009 08:00:00 in the second record, is past the end date and time of our range.

If we had set our date range from March 3, 2009 08:01:00 to March 4, 2009 08:01:00, then the interface would return only the second record, because the Stop Date and Time of the first record (March 3, 2009 08:00:00) does not fall within our start and end date range.

ID : 12058 , Type : HOWTO: , Online Version , Help us improve this article : Leave Feedback


Main Menu

Contains 0 Sub-Categories and 18 Articles.
Click here to browse a sub-tree sitemap that is rooted at this category.

Articles
Automated Import - Activity Log View ( Type : INFO: , ID : 12049 )
Automated Import - Modify Last Ran Dates ( Type : INFO: , ID : 12051 )
Automated Import - Status and Control ( Type : INFO: , ID : 12047 )
Configuration - Advanced Configuration ( Type : INFO: , ID : 12045 )
Configuration - Advanced Configuration : Source Input Cache ( Type : INFO: , ID : 12132 )
Configuration - Advanced Configuration: Additional Info ( Type : INFO: , ID : 12598 )
Configuration - Advanced Configuration: Additional Info : Pick WIMS Facility Additional Info Field ( Type : INFO: , ID : 12599 )
Configuration - Advanced Configuration: Unit Conversion ( Type : INFO: , ID : 12328 )
Configuration - Automated Import Configuration ( Type : INFO: , ID : 12044 )
Configuration - Collector Configuration ( Type : INFO: , ID : 12042 )
Configuration - Connection To Hach WIMS ( Type : INFO: , ID : 12037 )
File - Exit ( Type : INFO: , ID : 12035 )
File - Import All ( Type : INFO: , ID : 12034 )
File - Import For Selected Variables ( Type : INFO: , ID : 12038 )
Test - Source Read Test LIMS to Hach WIMS ( Type : INFO: , ID : 12321 )
Test - Test Connection to Hach WIMS ( Type : INFO: , ID : 12052 )
Test - Test Import All ( Type : INFO: , ID : 12053 )
Utilities - Upload Definition File to Hach WIMS ( Type : INFO: , ID : 12040 )

ID : 1L3D8M , Online Version


Automated Import - Activity Log View

Documentation : Main Menu

For Automated Import options, click the Automated Import button on the top menu bar of the interface.

The Activity Log View lets you view the interface NT Service log.

Buttons:

Force refresh of the service log view. To shorten the refresh interval, see Configuration - Advanced Configuration.
View the full service log.

The rest of the buttons are explained in Using Common Buttons.

NOTE:
If the log cannot be read, make sure the service name is correct and that it's running. See Automated Import - Status and Control on how to start the service if it's not running (assuming the service name is correct) and see Configuration - Advanced Configuration on how to view/change the service name.

keywords : activity,log
ID : 12049 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Automated Import - Modify Last Ran Dates

Documentation : Main Menu

This screen lets you modify the per-facility Last-Ran Date of the interface.

NOTE:
This is different than the default Last-Ran Date described in Configuration - Automated Import Configuration , which is the default Last-Ran Date for ALL facilities that have not had any data imported.

keywords : last,ran
ID : 12051 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Automated Import - Status and Control

Documentation : Main Menu

The NT Service Status and Control screen lets you monitor the state of interface service, and start or stop the service (Note: you must be logged in as a Windows Administrator):

The name of the service is displayed in the bottom left (see screenshot) corner of the screen. This is the name of the service that the interactive program is configured to monitor.

If this is NOT the name of the service, you can change it from the Configuration - Advanced Configuration screen.

Buttons:

Start the service, if it is not running.
Stop the service, if it is running.

All other buttons are explained in Using Common Buttons.

keywords : import,status,control
ID : 12047 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Configuration - Advanced Configuration

Documentation : Main Menu

For Configuration options, click on the Configuration menu option at the top menu bar of the interface.

The Advanced Configuration screen can be used to configure various advanced interface settings:

  • Log File Options:
    • Keep Logfiles - the number of days to keep log files in the Log folder, delete log files older than the number of days specified.
    • Verbosity - the higher this number, the more messages will be logged in the log file and the log window. This is usually meant for trouble-shooting purpose.
  • Automated Activity Monitoring - use this option to configure the Automated Activity (service mode of the interface) options:
    • Auto-Refresh Service Status - when displaying the Automated Import - Status and Control screen - how long to wait between status refreshes.
    • Auto-Refresh Log View - when displaying the Automated Import - Activity Log View - the interval of time to wait before refreshing the log view.
    • Log Size to Read during Refresh - the maximum number of characters to actually read in when refreshing the log view.
    • NT Service Name to Monitor - the name of the NT service under which the interface runs. The default is usually fine. Do NOT change this unless instructed by a Hach Support Engineer, or unless you installed the service under a different name and know what you are doing.

  • Protect Application Against Misuse - On the Protection tab, if you want more security in your interface configuration, you can configure:
    • Encrypt Configuration File - encrypt the contents of the interface configuration file to prevent unauthorized tampering.
    • Required Password to Change Configuration - require a password every time the user requests a configuration change. If no password is yet set, you are prompted to supply one.

    • Require Hach Wims Super User Login ... - to prevent someone from accidentally overwriting data when running in interactive mode, you can set this option to require people to enter in a super-user ID and password before importing.

  • When Hach WIMS/Source Connection Break - on the Recovery tab, establishes the number of times to attempt to restore the connection to Hach WIMS/Source and the amount of seconds to wait between attempts.

  • Source Input Caching - button on the Source Caching tab, is enabled when interface supports source input caching. Lets one specify caching conditions. Go to Source Cache Input Configuration for more information.

  • Unit Conversion Options - On the Unit Conversion tab, is enabled when interface supports unit conversion. Lets one specify various units and conversion factor. Go to Configuration - Advanced Configuration: Unit Conversion for more information.

  • Additional Info Writer Options - On the Additional Info tab, is enabled when interface supports additional info. The additional info fields must be created in Hach WIMS Client first, then the fields can be mapped by pressing the Configure Additional Info button. Go to Configuration - Advanced Configuration: Additional Info for more information.

  • Performance Throttle - on the Performance tab, there are several options related to throttling, or slowing down, the connection speed to the database. There are situations where an interface can run too many read/write operations against a database which causes the database to become overwhelmed and incapable of processing other tasks - effectively shutting down other database operations. Throttling the connection speed causes our system to pause between queries and allow the database to process other requests before and/or after we pause the interface.

    WARNING! Using the Throttle will slow down interface performance significantly. Only use this option if you are running against database performance issues due to too many read/write operations from the WIMS interface.

The following are important things to note about the Throttle option:

  • This option is not intended to be used with normal interface setup. It should only be used if the source database is showing I/O processes being delayed explicity because of the WIMS interface connection.
  • This option is not intended for LIMS interfaces. If a LIMS interface does appear to be causing an I/O problem, the root cause is probably something else and throttling will not resolve.
  • When in doubt, leave the throttle disabled.

  • Insert Artificial Wait between Source Polling - Allows the user to specify the pause time between queries. This field only accepts whole numbers (no decimals) from 1 to 9999 and is measured in milliseconds. Example 250 milliseconds = 0.25 seconds. Use as little a pause as possible to achieve desired database performance.

  • Process Messages Before Wait - Allows the user to specify if the database should process other events before the interface pauses.
    Note: A user may opt to process other events before and after a pause; or neither if desired. The default is to enable both before and after.
  • Example when enabled: The interface just completed a connection to the Source database - it will allow the database to process other events, then pause.

  • Process Messages After Wait - Allows the user to specify if the database should process other events after the interface pauses.
    Note: A user may opt to process other events before and after a pause; or neither if desired. The default is to enable both before and after.
  • Example when enabled: The interface just completed a connection to the Source database - it will pause, then allow the database to process other events.

Buttons:

The buttons are explained in Using Common Buttons.

keywords : interface,advanced
ID : 12045 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Configuration - Advanced Configuration : Source Input Cache

Documentation : Main Menu

Source Input Cache Configuration, is used to configure criteria for caching, if the interfaces supports caching and the option is Enabled. Caching is used to load more data into memory at one time, and retain it for processing variables instead of continuously rereading source data from disk. This will speed up processing, but uses more computer resources - such as memory. Set the parameters to set thresholds for processing chunks of data and so that the interface does not surpass the limitations of your computer.

(Note: Not all interfaces have this feature available)

Click Apply Settings to apply changes and return to parent form. Click Close to return without applying changes.

ID : 12132 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Configuration - Advanced Configuration: Additional Info

Documentation : Main Menu
Additional Info, if enabled, is used to configure a cross reference map between fields in the source system and result additional info fields in Hach WIMS. This cross reference map will be then used by the interface during data import.

This feature can be turned off. Simply click the Disable radio button under Write Data Into Additional Info Fields in Hach WIMS.

The number of successful writes to additional information can be Enabled or Disabled. Click the appropriate radio button under Log Number of Successfully Written Fields during Import.

(Note: Not all interfaces have this feature available)

  1. Click on any button in the Source Field Identifier column to pick a source field.
  2. Click on any button in the Target WIMS Facility Identifier.Field Identifier column to pick a target field.
  3. Right click on any button, and click on Clear Cell to erase contents of a cell.

Notice the example output below from Hach WIMS Client > Spread Report Design, additional info is only imported when there is a valid result imported. Also notice how we have the field set up in Additional Info and how we recall the data in Spread Reports.

NOTE: When interfacing to two (2) or more facilities you MUST map each facility. For example, I am importing data into the OPSEID facility database and the OPSDEERCRK facility. I would map AI_COLUMN_1 thru AI_COLUMN_4 for each facilty:

ID : 12598 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Configuration - Advanced Configuration: Additional Info : Pick WIMS Facility Additional Info Field

Documentation : Main Menu

Pick WIMS Facility Additional Info Field window lists all available additional info fields for all facilities connected to your Hach WIMS server.

Select a row to highlight a field, and click the Pick button.

ID : 12599 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Configuration - Advanced Configuration: Unit Conversion

Documentation : Main Menu

Unit Conversion, if enabled, is used to configure unit conversion when the "units" from the source are different than the "units" in Hach WIMS.

This feature can be turned off, simply click the Disable radio button under Convert Result from Source Unit to Hach WIMS Unit.

(Note: Not all interfaces have this feature available)

  1. Under Source Unit enter the text value as it is in the source
  2. Select the Conversion Algorithm

    • Multiplication - Multiply the source result by the Factor before writing to Hach WIMS
    • Degrees F to C - Convert degrees Fahrenheit to degrees Celsius
    • Degrees C to F - Convert degrees Celsius to degrees Fahrenheit
  1. Enter the Factor amount, how much to multiply the source result by before writing to Hach WIMS. When using the Degrees conversion, enter a 1 (one)
  2. Enter the Hach WIMS Unit that the Hach WIMS variable will be using

For example, the source result is stored in parts per million ("ppm") and it needs to be converted in Hach WIMS as parts per billion ("ppb"). You could add the following conversion:

(Note: this is one of the default conversions included)

Click Apply Settings to apply changes and return to parent form. Click Close to return without applying changes.

keywords : Configuration,Advanced,Configuration,Unit,Conversion
ID : 12328 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Configuration - Automated Import Configuration

Documentation : Main Menu

Each interface can be configured to run as a service. This is when you want to schedule an automatic retreival of data, without user intervention.

The Automated Import Configuration screen allows you to configure the schedule, whether to submit calculation requests, the Last-Ran Date, and the import operation mode:

  • Automated Import Schedule - configure when the interface service is scheduled to run:
    • Daily -the interface will run ONCE per day, at the specified schedule. E.g., to run it at 2:30 am, you would enter "2" into the hours box and "30" into the minutes box. Note that time is entered in "military" format. To enter 4:45 pm, you would enter "16" into the hours box, NOT 4.
    • Hourly - the interface will run every hour at the specified minute after the hour
    • Minutely- the interface will run every X minutes where X is a number between 1 and 1440. E.g., to run it every 5 minutes, you would enter "5".
  • Calculations After Automated Import - select this option if you would like the Hach WIMS AdoCalc service to recalculate all variables within every facility after an import operation completes.
  • Default Last Run Date - this is the point in time from which the interface service will try to retrieve data, up until the current point in time. After a successful run, the current time will become the last run time. By default, this is set to one day prior to the current day.

    E.g., assume today is February 25, 2009, if you have just installed the interface and have 3 months of historical data you want imported into Hach WIMS. You should enter November 25, 2008 as the Last-Run Date (3 months prior to February 25th). Once the interface completes its run, the Last-Run Date will be set to February 25, 2009 automatically. The next time it runs (assuming it runs Daily), February 26, 2009, it will only fetch one day's worth of data.
  • Constant to Add to Start Date Each Time Import Runs - Enter the number of minutes to add to the Start Date when the interface runs in automatic mode. This allows the interface to capture data from previous runs that might not have been available at that time.
    • During automated import, interface queries source data for the following date range :
      from (Last Run Date/time + Constant to Add to Start Date Each Time Import Runs ) to (current date / time )

      If your source system does not yet contain the needed data at the time of automated import, use this setting to push back the from parameter. For instance, if you need the import to start 2 hours before Last Run Date/time, you need to enter value of -120 (negative 120) to Constant to Add to Start Date Each Time Import Runs

      NOTE: Situations when you would need to input a positive value in this field are very rare.
      Value of 0 (default) has no negative or positive effect on start date.
  • Import Operation Mode -Real mode imports data into Hach WIMS where as Test does not actually import data, but tests the query capability and timing of the interface.

Buttons:

The buttons are explained in Using Common Buttons.

keywords : automated,import
ID : 12044 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Configuration - Collector Configuration

Documentation : Main Menu

The Collector Configuration is the place where you configure the source of your data - the SCADA/LIMS system that holds the data you want to import.

NOTE: Before you can configure the collector, you MUST configure the Connection to Hach WIMS and you must setup the Hach WIMS client.

Select Which Hach WIMS G2 Interface Am I for this interface. The names that appear in the drop-down box are the ones that were configured in the Hach WIMS Client. This name is then tied to this interface and is unique.

Buttons:

The buttons are explained in Using Common Buttons.

If the Interface you are using has a separate Collector Utility that generates OPSDATAXML files that it reads from, you can configure and launch it from here.

Opens a screen that allows you to configure the Collector's settings

Starts the Collector utility

keywords : collector,configuration
ID : 12042 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Configuration - Connection To Hach WIMS

Documentation : Main Menu

The Connection to Hach WIMS screen lets you configure how the interface will connect to Hach WIMS Database Server.

This is one of the first items you configure when setting up a new interface.

  • Data Source - this field specifies, in loose terms, the "Database/Datasource server name" where your Hach WIMS system is configured to store data. "Database/Datasource server name" means different things depending on whether you are running against Oracle or MS SQL:
    • Oracle - you can type in either the Oracle TNS name or a string in the form of host:port/SID, if using the Oracle HOSTNAME adapter.
    • MS SQL - this is in the form of host\sql_instance_name
  • Database Type -select the appropriate type of your Hach WIMS database
  • OLE DB Provider - this specifies which "database driver" the interface will use when connecting to Hach WIMS and again depends on the database type:
    • Oracle - the default string should be fine
    • MS SQL - if connecting to MS SQL 2005 or later, use the native client to connect. Specify SQLNCLI as the provider. NOTE: You will need to have the Microsoft SQL Native Client installed for this to work. If connecting to MS SQL 2000, specify SQLOLEDB as the provider.
  • Connection Timeout in Seconds - how many seconds the program should wait when establishing a connection to the Hach WIMS database before aborting.
  • Command Timeout in Seconds - specifies how many seconds the program should wait for a query to complete before aborting the operation.

    WARNING: Large values for these two settings can cause the program to not respond for a long period of time! Do NOT use 0 unless you know what you are doing - it will cause the program to wait indefinitely, and if your database server is down, the only way to cancel the operation is to forcefully quit the program.
  • Customizations - this should be left empty unless you were told otherwise by a Hach Support Engineer or you know what you are doing.

Buttons:

Test to see if the connection settings are valid and the interface is able to connect to Hach WIMS client. This will NOT Apply or Save the settings.

The other buttons are explained in Using Common Buttons.

keywords : connection,wims
ID : 12037 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


File - Exit

Documentation : Main Menu

Terminates the interactive interface program.

NOTE:

Clicking "Exit" only closes the interactive interface session. Since the interface can be configured to run as a Windows Service, clicking "Exit" does NOT affect this service, it will continue collecting data. The service can be scheduled to collect data anytime, whether a user is logged on to the machine or not. The service for the interface will continue collecting data whether the interactive program is running or not.

keywords : interface,exit
ID : 12035 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


File - Import All

Documentation : Main Menu

Imports all data for all variables.

keywords : import,all
ID : 12034 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


File - Import For Selected Variables

Documentation : Main Menu
Imports data for the selected variables.

keywords : selected,vars,import
ID : 12038 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Test - Source Read Test LIMS to Hach WIMS

Documentation : Main Menu

The Source Read Test functionality is useful for source testing purposes.

Use this screen to look at source data for specific dates, WITHOUT doing an actual import. (No data will be written to Hach WIMS database.)

Once a start and end date have been selected, press Query Source button to retrieve data for that date range.

The Source Read Test will retrieve all data points within the date range selected and return the values of selected fields.

Example screenshot of how values look when interface is not reading additional info fields from the source :

Example screenshot of how values look when interface is reading additional info fields from the source :

Buttons:

Query the source for the date range entered
Get the next record from the source data
Close this window

keywords : LIMS2OPSSQL,source,read,test
ID : 12321 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Test - Test Connection to Hach WIMS

Documentation : Main Menu
Perform a test against the Hach WIMS connection to see if the connection is valid

keywords : test,connection
ID : 12052 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Test - Test Import All

Documentation : Main Menu
This performs a test import for all interface-configured variables. Note that no actual data will be written to the Hach WIMS database.

keywords : test,import,all
ID : 12053 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Utilities - Upload Definition File to Hach WIMS

Documentation : Main Menu

This feature allows you to upload the interface definition (g2_server_lu) file to the Hach WIMS database. This is needed in order to setup a collector record in Hach WIMS.

Once the definition file has been uploaded, proceed with creating a collector record in Hach WIMS Client.
The process to setup a collector record is outlined in How to configure the Hach WIMS Client for a server-side interface.

keywords : upload,definition
ID : 12040 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Release notes

Contains 0 Sub-Categories and 2 Articles.
Click here to browse a sub-tree sitemap that is rooted at this category.

Articles
Release Notes for Hach WIMS Server-Side Interface Platform ( Type : INFO: , ID : 12033 )
Release Notes for LIMS2OPSSQL Type of Hach WIMS Direct Server-Side Interface ( Type : INFO: , ID : 12322 )

ID : 8T2K0Q , Online Version


Release Notes for Hach WIMS Server-Side Interface Platform

Documentation : Release notes

Build 149 (9/16/2015)

  • Menu item Support>Am I licensed for this interface now works with new licensing system.

Build 147 (8/21/2015)

  • Added GetLocationPath to CommonGlobals (4660)

Build 146 (6/2/2015)

  • Fixed error condition when LockDate is not set in the database (4605)

Build 145 (7/3/2014)

  • Minor update of UI for Windows 7 (4431)
  • Minor update of Automated Import Configuration for Windows 7 (4466)

Build 142 (10/1/2013)

  • Improved Time/Date syncing issues experienced by some clients (4207)
  • Added a database connection throttle (performance throttle) advanced configuration option that pauses between source queries allowing other database process events to execute (4267)

Build 137

  • Modified to handle the new licensing for SQL Server 2012.(4202)
  • Handled out of memory error when the interfaces are ran with many variables and date ranges.(4158)
  • A change was added to keep the database connection open during the import process.(4106)

Build 135

  • Changed logging to user interface (LogToUI) to prevent an "Out of Memory" error when extensive amount of text lines are written to the interfaces list box. (4158)

Build 116

  • Updated framework to handle time zone differences and how they affect direct and indirect interfaces

Build 100

  • Compatible with Hach WIMS 1.3.8 Database version

Build 85

  • Minor change to Advance Configuration to disable Additional Info button if the interface does not support additional info

Build 84

  • Fixed a bug that caused interfaces to omit reading of Hach WIMS variables in rare cases when the natural order of records in the VARDESC table did not equal to 'order by varid' on Oracle platforms(3006)

Build 83

  • Added support for importing of Additional Entry Fields. For interfaces that support this framework feature, go to Advanced Configuration / Additional Info in order to configure you conversion map (3075)
  • Added support for User Interface to display Connection String when clicking on Source Configuration / View Applied Connection String (2821)
  • Added support for User Interface to omit asking for Input Dates for interfaces where selecting dates does not make sense (2806)
  • Fixed a bug that caused Floating Point rounding to overflow on very large numbers resulting in no rounding being performed on numbers (3016)
  • Fixed a bug that caused help.chm to be improperly located by the user interface when interface executable was launched using Windows Shell command (2932)
  • Fixed a bug that caused interfaces of common type SCADA2OPSSQL to halt importing in cases when users went around the program business rules and manually (in the backend) entered OPSROOT.FACILITY.FILENAME field in lowercase (2890)

Build 54

  • Added support for Configuring and Launching a Collector Utility

Build 53

  • Added support for LIMS2OPSSQL type of framework
  • Added support for Unit Conversion

Build 48

  • Fixed an interface crash if the selected OLEDB driver could not be found (2406)
  • Added a MINUTELY mode of scheduling of automated service (2447)
  • Displays a warning message when attempting to import into collector which is linked to incorrect version of g2_lu (2505)
  • Added ability to view and edit Last Run Date for Facility UI (2626)

Build 36

  • Fixed a loophole that may have allowed interface crash when UI log listbox was about to display more than 32000 lines of log (2495)

Build 34

  • Fixed a bug that pulled up incorrect article or category when clicked on submenu Help / Chapters. Platform now requires setting of link constants for every interface custom configuration module (2488)
  • Fixed a bug that took users to incorrect link upon clicking on menu item Support / Check for new Updates (2492)

Build 27

  • Initial release to public

keywords : interface,platform,release notes,server-side, interface common framework
ID : 12033 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Release Notes for LIMS2OPSSQL Type of Hach WIMS Direct Server-Side Interface

Documentation : Release notes

Build 20180118 (1/18/2018)

  • CommonImport now allows Logbook entries to be imported.
  • Improved handling of text variable import with list of values specified by Limit to list off (now imports curvalue as index of list).

Build 65 (10/29/2015)

  • Fixed bug in Source Read Test (4706)

Build 64 (8/21/2015)

  • Add Location Path to the Variable Browser (4660)

Build 58 (1/20/2015)

  • Interface properly formats results with no decimal places when importing to a variable with Decimal Places set to Not Fixed (9999). (4553)
  • Common Framework now handles writing the proper Data Approval Level even when LimsResultStatus is not set by custom source (4552)

Build 55 (10/2/2013)

  • Symbols with no numeric part (i.e. ND, TNTC) and an MDL setting of constant now works correctly (4379)
  • Symbols with no numeric part (i.e. ND, TNTC) no longer get 0 added to the display value (ND would become ND0 or ND0.0 depending on Decimal place setting) (4379)
  • Now creates a result comment for entries with symbols that require a numeric portion but are missing it (An entry of "<" or ">" with no number after are now imported as result comments (4379)

Build 49

  • Added the ability to recognize SQL Server 2012 licensing.(4202)
  • Added the ability to import data based on AVALDATE.(4148)
  • Modified to maintain the significant digits when no value is set for the number of significant digits.(4111)
  • Added more logging.(4104)

Build 48

  • Fixed problem with trying to perform exact matching in CommonTypeVar class, which causes problem with LIMS interfaces that use LIMS_UD fields for information other than matching (4148)

Build 45

  • Corrected how results from source are calculated following the same rules in Monthly Data Entry form:
    1. Determine significant digits
    2. Perform Unit Conversion if need
    3. Apply significiant digits, using scientific rounding
    4. Apply MDL rule to calculate numeric value
  • The rules are applied similarly if Decimal Places is fix or set to Not Fixed in Hach WIMS client, the only difference is how the significant digits are determined. (4111)
  • Ensure trailing zeroes are included in the text value imported as applicable according to MDE significant digit rule. (4111)

Build 44

  • Fixed problem of sporaticly not matching when LIMS interfaces use UD1 or UD2 for cross referencing. (4142)

Build 38

  • Updated matching variable setup for LIMS to be more distinct.

Build 37

  • Updated framework to set the WIMS TextValue field to the raw value (not changed to a numeric type) when importing, thus preserving the data entered. For instance, if the source data is 0.400 the last two zeros are not removed when it is inserted into the TextValue field.

Build 34

  • Updated framework to handle time zone differences and how they affect direct and indirect interfaces. Note: LIMS do not have Indirect type interfaces, but are affected by the Common Framework changes.

Build 30

  • Added ability for Hach WIMS LIMS interfaces to match variables to source data up to five fields (LIMS_LOC, LIMS_TEST, LIMS_UD1, LIMS_UD2, and LIMS_UD3). Number of fields depends on Hach WIMS LIMS interface specifications.

Build 28

  • Changed Common Import to allow Custom Source routine to populate the Result Comment in Hach WIMS with notes or comments from the LIM lab source data.

Build 27

  • Changed Common Import to call Custom Source routine to allow for custom code to execute procedures after all faciliities are completed (item 3557)

Build 26

  • Added to framework ability to configure LIMS Interface for a LIMS_LOC and several LIMS_TEST with LIMS_UD1 blank (3478)
  • Corrected issue with Limit-To-List, when checked, so that if the text value is not in the list, the value is written to comments (3482)

Build 20

  • Added internal structures needed to ignore case when evaluating the cross reference map from the source system to Hach WIMS (2990)
  • Added internal structures needed to show results of "View Applied Connection String" from interface's Source Configuration form (2821)
  • Text Paramater Variables with Limit To List are now properly written based on the current list configuration of each variable (2805)
  • Hach WIMS Comment writter implemented (2983)
  • Fixed a bug that caused interface import session to break when a result with an unexpected number of spaces was returned by the source system (3083)
  • Fixed a bug that caused interfaces to write data according to MDL rules when if Allow Symbol was false (3086)
  • Fixed a bug that caused overflow during reporting of statistics for import sessions that lasted less than 1 second (3024)

Build 7

  • Initial Release to Public

Related Articles (See Also)
Release Notes for Hach WIMS Server-Side Interface Platform ( Category : Documentation : Release notes )

ID : 12322 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Topics specific to the operation of this interface

Contains 0 Sub-Categories and 4 Articles.
Click here to browse a sub-tree sitemap that is rooted at this category.

Articles
Configuration - Source Configuration Q12309 ( Type : INFO: , ID : 12350 )
Release notes for interface Q12309 ( Type : INFO: , ID : 12347 )
Supported variable configurations for interface Q12309 ( Type : HOWTO: , ID : 12349 )
Using Inteface Browser Q12388 ( Type : HOWTO: , ID : 12348 )

ID : 2Y8Y4T , Online Version


Configuration - Source Configuration Q12309

Documentation : Topics specific to the operation of this interface
This is the source configuration screen for the Hach WIMS Direct Server-Side Interface to Tribal LIMS.

In order to configure source connection from the interface, click Configuration and select Source Configuration.

The next screen will display parameters on two tabs. The first is Database Connection:

  • Configuration Template - three templates are included in the Tribal LIMS interface designed for use with ORACLE DBMS, MS SQL Server, or MS Access. These will fill in the most common values for the database connection.
  • DBMS Type - Select the Tribal LIMS system type from one of these:
    • Oracle
    • Microsoft SQL Server
    • MS Access
  • OLE DB Provider - this will be filled in with Configuration Template and DBMS Type, and can be modified if needed. Possible options are: OraOLEDB.ORACLE, SQLNCLI, SQLOLEDB, and Microsoft Jet OLEDB type drivers.
  • Data Source - this field specifies, in loose terms, the "Database/Datasource server name" where your Tribal LIMS system is configured to store data. If using ORACLE TNS names, this would be the appropriate place for your Tribal LIMS database engine's TNS name.
  • Database Name - name of the database instance; for Oracle this could be the user name, MS SQL Server would be the database name, and in MS Access this would be blank.
  • Username - The username you want to use to connect to the database. This user should have permission to access the database and tables that contain data.
  • Password - The password associated with the Username and is used to connect to the database.

  • Advanced Configuration - these permit adjustment of the command and connection timeout.

    • Connection Timeout in Seconds - how many seconds the program should wait when establishing a connection to the GE Fanuc Proficy iHistorian server.
    • Command Timeout in Seconds - specifies how many seconds the program should wait for a query to complete before aborting the operation.
  • Customizations - this can be used to specify extra connection parameters, Advanced Users Only
  • Test Connection - this will test the connection to the Tribal LIMS database
  • View Applied Connection String - this display the connection string built using the applied values (click the Apply Settings first). It can display a string with or without the password. From here, the string can be copied and pasted when configuring the browser connection string.

The second tab is Advanced Settings:

  • Source Tables Owner - Owner or schema (Oracle) of the Tribal database tables, required for most ORACLE connections. Tribal databases using MS Access can leave this blank.

  • Sample Field Method - If SAMPLETYPE is selected, the interface will use the SAMPLE.SAMPLETYPE in the Tribal database as the third parameter when looking for matches between the LIMS data and a Hach WIMS variable. If SAMPLESTUDY is selected, the interface uses SAMPLE.SAMPLESTUDY instead. Default setting is SAMPLESTUDY.

  • Import Hach WIMS Comments - If Enabled and a value imported includes an unknown symbol, the value will be written to comments. Default setting is Enabled.

  • Date and Time Field Usage - Either select just SampleDate only or the SampleTime can be include for the time stamp used in importing into Hach WIMS. If SampleDate only option is used, only one value will be imported per day, and it will have midnight for the time. If SampleDate + SampleTime is used, then the time stamp will be the date part of SampleDate and the time portion of SampleTime. Default setting is SampleDate only.

  • Date Field to Search On - Depending on how the Tribal LIMS is set up using the DateUpdated and DateCompleted will determine how you want this set up. If you have Tribal always put a date in DateUpdated, then this might be the best selection. If you want to know when a test is completed only, then DateComplete might be the right choice. Selecting DateUpdated OR DateCompleted will get all records. In our test source database from a Tribal LIMS, we noticed there were 1517 records with a DateUpdated for a given month, when we selected DateCompleted we got 3006 records for the exact same date range, and when we selected both DateUpdated OR DateCompleted we recieved 7171 records. Default setting is DateUpdated.

We are not experts on Tribal LIMS, so we do not know how the settings in Tribal change its behavior with regard to these two date fields. It is important that you understand what the settings mean and select the appropriate field for your system.

ID : 12350 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Release notes for interface Q12309

Documentation : Topics specific to the operation of this interface

Version 1.1.5 (Released on 6/18/2018)

  • Update for Common Framework changes (license issues)
  • Removed Hexagora Controls

Version 1.1.4 (Released on 11/6/2015)

  • Upgraded interface to Common Framework Build 149

Version 1.1.3 (Build 135, Released 10/7/2013)

  • Upgraded interface to LIMS Common Framework Build 55
  • Upgraded interface to Common Framework Build 142

Version 1.1.2 (Build 129, Released on 1/24/2013)

  • Updated to the latest common framework
  • Fixed problem uploading the G2_Server_LU file

Version 1.1.1 (Build 100, Released on 5/11/2012)

  • Changed source query for BOTH option so it will now UNION the DateUpdated query with the DateCompleted query and return only unique records
    •
  • Added functionality to work with SQL Server 2012

Version 1.1.0 (Build 99, Released on 7/1/2011)

  • Changed query when using both Date Updated and Date Completed in the source configuration.

Version 1.0.9 (Build 87, Released on 9/3/2010)

  • Upgraded to Common Framework build 116, LIMS Framework build 34, Updated framework to handle time zone differences and how they affect direct and indirect interfaces

Version 1.0.8 (Build 67, Released on 7/30/2010)

  • Upgraded interface to Common Framework Build 100

Version 1.0.7 (Build 59, Released on 6/9/2010)

  • Fixed problem with G2_Server_LU file having the wrong version number

Version 1.0.6 (Build 58, Released on 6/9/2010)

  • Added ability to configure source query to use DateUpdated, DateCompleted, or both. Both is the default.

Version 1.0.5 (Build 57, Released on 6/8/2010)

  • Added ability to include SampleTime with SampleDate when importing source data. Option is on Advanced Settings tab in Source Configuration.

Version 1.0.4 (Build 51, Released on 4/1/2010)

  • Added capability to filter results based on the character in Sample ID Prefix (3299)
  • Corrected problems with browser (3299)

Version 1.0.3 (Build 43, Released on 2/5/2010)

  • Added support for a Microsoft Access database backend from Tribal LIMS

Version 1.0.2 (Build 38, Released on 12/16/2009)

  • Fixed problem with distinguishing between Sample Study ID's

Version 1.0.1 (Build 36, Released on 10/22/2009)

  • Upgraded interface to Common Framework Build 85

Version 1.0.0 (Build 7, Released on 7/16/2009)

  • Initial release

ID : 12347 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Supported variable configurations for interface Q12309

Documentation : Topics specific to the operation of this interface

Supported variable configurations for the Hach WIMS Direct Server-Side Interface to Tribal LIMS.

To configure a variable to hold values from Tribal LIMS, select Edit/View Variables in the client and select the Interface tab.

Then click Interface To radio button. The drop down box next to the option is now enabled, click the drop down arrow and choose the Tribal LIMS interface name (name given when configuring the interface).

  • Location ID - This is the LOCATIONID from the SAMPLE table. Click the elipse button to the far right to view possible values in the Location table.
  • Analyte ID - This is the ANALYSISID from the SAMPLEANALYSIS table.
  • SAMPLESTUDY/SAMPLETYPE - This is either the SAMPLETYPE or SAMPLESTUDY ID from the SAMPLE table. It depends on how the interface is configured.
  • Sample ID Prefix - This optional field filters results to just retrieve records where the SAMPLEID starts with the given character.

The Hach WIMS variable and the interface will match these three items to the data in the Tribal LIMS and bring the data into Hach WIMS accordingly. Enter a character to filter on a specific Sample ID Prefix.

You can enter these by hand or click the elipse button to browse the codes (if the browser was enabled when you Configure the Hach WIMS Client for a Server-Side Interface for LIMS).

ID : 12349 , Type : HOWTO: , Online Version , Help us improve this article : Leave Feedback


Using Inteface Browser Q12388

Documentation : Topics specific to the operation of this interface

This browser can be used to select the LIM Location, Test/Analyte ID and Sample Type or Sample Study ID from the Tribal LIMS system.

In each of the following scenarios, you may click on a column heading to sort the list by that column's entries. In each case, the item's ID is returned to the Hach WIMS variable's Interface setup because that is the information used when getting data from the Tribal LIMS system.

  • When browsing for LIMS Location, the following screen will be shown:

Select the Location you want and click "OK", or double-click on the item you want.

  • When browsing for the Analyte ID, the following screen will be shown:

Select the test you want and click "OK", or double-click on the item you want.

  • When browsing for the LIMS Sample Type or Sample Study ID, the following screen will be shown:

The top portion is used to select the Sample Study, the bottom for Sample Type. The appropriate list to choose from will depend on your setup in the Advanced Settings tab of the Source Configuration for the Tribal Lims Interface. Please refer to this setting to determine the correct list to use. Default: Sample TYPE

  • Shortcut Buttons
    • button will send the selected tag name back to the Hach WIMS client.
    • button will cancel selecting a tag.
    • button will allow user to find a specific tag or series of tags.
    • button will bring up help information about the interface and specifically the browser.
    • button will exit the browser without making a tag selection.
  • Browser Menu
    • Under File we have options: OK, Cancel, Find, and Exit which work exactly the same as the shortcut buttons, explained next.
    • Under Plugin we have options: Help which displays the help for the interface, and About which shows the application information.

    • ID : 12348 , Type : HOWTO: , Online Version , Help us improve this article : Leave Feedback


Special Section : Sitemap : Local Links
This CHM file contains 6 total Sub-Categories and 36 total Articles.
This page was auto-generated at 6/18/2018 1:30:47 PM

Local Links
Documentation : Introduction
Documentation : Introduction : Interface Introduction
Documentation : Introduction : Software Requirements
Documentation : Introduction : Source versions tested
Documentation : How To
Documentation : How To : Change Configuration Protection Password
Documentation : How To : Configuration is Password Protected
Documentation : How To : Configure the Hach WIMS Client for a Server-Side Interface (LIMS2OPSSQL)
Documentation : How To : Hach WIMS Super User Credentials
Documentation : How To : Pick Hach WIMS Variables to Import Into
Documentation : How To : Step-by-Step Instructions on How to Configure Interface
Documentation : How To : Using Common Buttons
Documentation : How To : Using Main Interface Screen
Documentation : How To : Using Select Date Range to Import
Documentation : Main Menu
Documentation : Main Menu : Automated Import - Activity Log View
Documentation : Main Menu : Automated Import - Modify Last Ran Dates
Documentation : Main Menu : Automated Import - Status and Control
Documentation : Main Menu : Configuration - Advanced Configuration
Documentation : Main Menu : Configuration - Advanced Configuration : Source Input Cache
Documentation : Main Menu : Configuration - Advanced Configuration: Additional Info
Documentation : Main Menu : Configuration - Advanced Configuration: Additional Info : Pick WIMS Facility Additional Info Field
Documentation : Main Menu : Configuration - Advanced Configuration: Unit Conversion
Documentation : Main Menu : Configuration - Automated Import Configuration
Documentation : Main Menu : Configuration - Collector Configuration
Documentation : Main Menu : Configuration - Connection To Hach WIMS
Documentation : Main Menu : File - Exit
Documentation : Main Menu : File - Import All
Documentation : Main Menu : File - Import For Selected Variables
Documentation : Main Menu : Test - Source Read Test LIMS to Hach WIMS
Documentation : Main Menu : Test - Test Connection to Hach WIMS
Documentation : Main Menu : Test - Test Import All
Documentation : Main Menu : Utilities - Upload Definition File to Hach WIMS
Documentation : Release notes
Documentation : Release notes : Release Notes for Hach WIMS Server-Side Interface Platform
Documentation : Release notes : Release Notes for LIMS2OPSSQL Type of Hach WIMS Direct Server-Side Interface
Documentation : Topics specific to the operation of this interface
Documentation : Topics specific to the operation of this interface : Configuration - Source Configuration Q12309
Documentation : Topics specific to the operation of this interface : Release notes for interface Q12309
Documentation : Topics specific to the operation of this interface : Supported variable configurations for interface Q12309
Documentation : Topics specific to the operation of this interface : Using Inteface Browser Q12388


Special Section : Articles : Local Links
This CHM file contains 36 Articles.
This page was auto-generated at 6/18/2018 1:31:02 PM

Local Links
Automated Import - Modify Last Ran Dates in Category Documentation : Main Menu
Test - Source Read Test LIMS to Hach WIMS in Category Documentation : Main Menu
Utilities - Upload Definition File to Hach WIMS in Category Documentation : Main Menu
Configuration - Source Configuration Q12309 in Category Documentation : Topics specific to the operation of this interface
Configure the Hach WIMS Client for a Server-Side Interface (LIMS2OPSSQL) in Category Documentation : How To
Test - Test Import All in Category Documentation : Main Menu
Release Notes for Hach WIMS Server-Side Interface Platform in Category Documentation : Release notes
Software Requirements in Category Documentation : Introduction
Configuration - Advanced Configuration : Source Input Cache in Category Documentation : Main Menu
Configuration - Collector Configuration in Category Documentation : Main Menu
Test - Test Connection to Hach WIMS in Category Documentation : Main Menu
Release Notes for LIMS2OPSSQL Type of Hach WIMS Direct Server-Side Interface in Category Documentation : Release notes
Interface Introduction in Category Documentation : Introduction
Change Configuration Protection Password in Category Documentation : How To
Configuration - Advanced Configuration in Category Documentation : Main Menu
File - Exit in Category Documentation : Main Menu
Configuration - Automated Import Configuration in Category Documentation : Main Menu
File - Import All in Category Documentation : Main Menu
Hach WIMS Super User Credentials in Category Documentation : How To
Automated Import - Status and Control in Category Documentation : Main Menu
Configuration - Connection To Hach WIMS in Category Documentation : Main Menu
Release notes for interface Q12309 in Category Documentation : Topics specific to the operation of this interface
Source versions tested in Category Documentation : Introduction
Configuration is Password Protected in Category Documentation : How To
Using Main Interface Screen in Category Documentation : How To
Pick Hach WIMS Variables to Import Into in Category Documentation : How To
Step-by-Step Instructions on How to Configure Interface in Category Documentation : How To
Using Common Buttons in Category Documentation : How To
Automated Import - Activity Log View in Category Documentation : Main Menu
Configuration - Advanced Configuration: Additional Info : Pick WIMS Facility Additional Info Field in Category Documentation : Main Menu
Supported variable configurations for interface Q12309 in Category Documentation : Topics specific to the operation of this interface
Using Select Date Range to Import in Category Documentation : How To
Configuration - Advanced Configuration: Additional Info in Category Documentation : Main Menu
Configuration - Advanced Configuration: Unit Conversion in Category Documentation : Main Menu
File - Import For Selected Variables in Category Documentation : Main Menu
Using Inteface Browser Q12388 in Category Documentation : Topics specific to the operation of this interface


Sub-tree rooted at How To

Sub-tree rooted at Documentation : How To
Categories and Articles
: Change Configuration Protection Password
: Configuration is Password Protected
: Configure the Hach WIMS Client for a Server-Side Interface (LIMS2OPSSQL)
: Hach WIMS Super User Credentials
: Pick Hach WIMS Variables to Import Into
: Step-by-Step Instructions on How to Configure Interface
: Using Common Buttons
: Using Main Interface Screen
: Using Select Date Range to Import


Sub-tree rooted at Main Menu

Sub-tree rooted at Documentation : Main Menu
Categories and Articles
: Automated Import - Activity Log View
: Automated Import - Modify Last Ran Dates
: Automated Import - Status and Control
: Configuration - Advanced Configuration
: Configuration - Advanced Configuration : Source Input Cache
: Configuration - Advanced Configuration: Additional Info
: Configuration - Advanced Configuration: Additional Info : Pick WIMS Facility Additional Info Field
: Configuration - Advanced Configuration: Unit Conversion
: Configuration - Automated Import Configuration
: Configuration - Collector Configuration
: Configuration - Connection To Hach WIMS
: File - Exit
: File - Import All
: File - Import For Selected Variables
: Test - Source Read Test LIMS to Hach WIMS
: Test - Test Connection to Hach WIMS
: Test - Test Import All
: Utilities - Upload Definition File to Hach WIMS


Sub-tree rooted at Introduction

Sub-tree rooted at Documentation : Introduction
Categories and Articles
: Interface Introduction
: Software Requirements
: Source versions tested


Sub-tree rooted at Topics specific to the operation of this interface

Sub-tree rooted at Documentation : Topics specific to the operation of this interface
Categories and Articles
: Configuration - Source Configuration Q12309
: Release notes for interface Q12309
: Supported variable configurations for interface Q12309
: Using Inteface Browser Q12388


Documentation
Contains 5 Sub-Categories and 0 Articles.
Click here to browse a sub-tree sitemap that is rooted at this category.

Categories
Introduction ( Sub-Categories : 0 , Articles : 3 )
How To ( Sub-Categories : 0 , Articles : 9 )
Main Menu ( Sub-Categories : 0 , Articles : 18 )
Release notes ( Sub-Categories : 0 , Articles : 2 )
Topics specific to the operation of this interface ( Sub-Categories : 0 , Articles : 4 )

ID : 8A8I5X , Online Version


Sub-tree rooted at Documentation
Categories and Articles
: Introduction
Introduction : Interface Introduction
Introduction : Software Requirements
Introduction : Source versions tested
: How To
How To : Change Configuration Protection Password
How To : Configuration is Password Protected
How To : Configure the Hach WIMS Client for a Server-Side Interface (LIMS2OPSSQL)
How To : Hach WIMS Super User Credentials
How To : Pick Hach WIMS Variables to Import Into
How To : Step-by-Step Instructions on How to Configure Interface
How To : Using Common Buttons
How To : Using Main Interface Screen
How To : Using Select Date Range to Import
: Main Menu
Main Menu : Automated Import - Activity Log View
Main Menu : Automated Import - Modify Last Ran Dates
Main Menu : Automated Import - Status and Control
Main Menu : Configuration - Advanced Configuration
Main Menu : Configuration - Advanced Configuration : Source Input Cache
Main Menu : Configuration - Advanced Configuration: Additional Info
Main Menu : Configuration - Advanced Configuration: Additional Info : Pick WIMS Facility Additional Info Field
Main Menu : Configuration - Advanced Configuration: Unit Conversion
Main Menu : Configuration - Automated Import Configuration
Main Menu : Configuration - Collector Configuration
Main Menu : Configuration - Connection To Hach WIMS
Main Menu : File - Exit
Main Menu : File - Import All
Main Menu : File - Import For Selected Variables
Main Menu : Test - Source Read Test LIMS to Hach WIMS
Main Menu : Test - Test Connection to Hach WIMS
Main Menu : Test - Test Import All
Main Menu : Utilities - Upload Definition File to Hach WIMS
: Release notes
Release notes : Release Notes for Hach WIMS Server-Side Interface Platform
Release notes : Release Notes for LIMS2OPSSQL Type of Hach WIMS Direct Server-Side Interface
: Topics specific to the operation of this interface
Topics specific to the operation of this interface : Configuration - Source Configuration Q12309
Topics specific to the operation of this interface : Release notes for interface Q12309
Topics specific to the operation of this interface : Supported variable configurations for interface Q12309
Topics specific to the operation of this interface : Using Inteface Browser Q12388


Sub-tree rooted at Release notes

Sub-tree rooted at Documentation : Release notes
Categories and Articles
: Release Notes for Hach WIMS Server-Side Interface Platform
: Release Notes for LIMS2OPSSQL Type of Hach WIMS Direct Server-Side Interface